# Gst::EventFlushStart Class Reference

A flush start event. More...

`#include <event.h>`

Inheritance diagram for Gst::EventFlushStart:

List of all members.

## Public Member Functions
| EventFlushStart (GstEvent* event)
## Static Public Member Functions
static Glib::RefPtr<Gst::Event> | create ()
| Allocate a new flush start event.

## Detailed Description

A flush start event.

See create() for more details.

## Constructor& Destructor Documentation

Gst::EventFlushStart::EventFlushStart | ( | GstEvent * | event | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Event> Gst::EventFlushStart::create | ( |  | ) | `[static]`

Allocate a new flush start event.

The flush start event can be sent upstream and downstream and travels out-of-bounds with the dataflow.

It marks pads as being flushing and will make them return Gst::FLOW_WRONG_STATE when used for data flow with Gst::Pad::push(), Gst::Pad::chain(), Gst::Pad::alloc_buffer(), Gst::Pad::get_range() and Gst::Pad::pull_range(). Any event (except a Gst::EVENT_FLUSH_STOP) received on a flushing pad will return false immediately.

Elements should unlock any blocking functions and exit their streaming functions as fast as possible when this event is received.

This event is typically generated after a seek to flush out all queued data in the pipeline so that the new media is played as soon as possible.

Returns:
  A new flush start event.

The documentation for this class was generated from the following file:

- event.h